MediaWiki:Attributes.css: Difference between revisions

Jump to navigation Jump to search
Raven.Familiar (talk | contribs)
Traits
No edit summary
Line 1: Line 1:
.attribute-pill {
.attribute-pill {
    --attribute-Beauty: #88cec6;
    --attribute-Change: #979ee2;
    --attribute-Competition: linear-gradient(90deg, rgba(213, 67, 68, 1) 0%, rgba(86, 112, 176, 1) 100%);
    --attribute-Dark: #734e9d;
    --attribute-Hate: #9b8ec1;
    --attribute-Insatiability: #5bb8e7;
    --attribute-Light: #efbf3c;
    --attribute-Love: #eda1b6;
    --attribute-Memory: #95c2e7;
    --attribute-Peace: #deceb0;
    --attribute-Pride: #8879bc;
    --attribute-Regret: #775378;
    --attribute-Right: #5bb8e7;
    --attribute-Satiation: #f5a77d;
    --attribute-War: #964545;
    --attribute-Weakness: #b6d0e7;
   
    --attribute-Blaster: #9c749d;
    --attribute-Cherubim: #fff;
    --attribute-Cherubim--text: #bba479;
    --attribute-Explorer: #9fc47b;
    --attribute-Gladiator: #bba479;
    --attribute-Hothead: #e36566;
    --attribute-Mascot: #f6b560;
    --attribute-Mastermind: #71b7af;
    --attribute-Protector: #d2a3ba;
    --attribute-Striker: #fa9269;
   
     display: inline-flex;
     display: inline-flex;
     align-items: center;
     align-items: center;
Line 5: Line 33:
     padding: 0 8px;
     padding: 0 8px;
     height: 25px;
     height: 25px;
     color: #333333;
     background-color: var(--theme-color-5);
     line-height: 1;
     line-height: 1;
     position: relative;
     position: relative;
}
/* Aspect Colors */
.attribute-pill-Beauty {
    background-color: #88cec6;
        color: white;
}
.attribute-pill-Change {
    background-color: #979ee2;
        color: white;
}
}


.attribute-pill-Competition {
.attribute-pill a {
     background-color: #cb464e;
     color: white;
        color: white;
    font-weight: 600;
}
}


.attribute-pill-Dark {
    background-color: #734e9d;
        color: white;
}


.attribute-pill-Hate {
.theme-fandomdesktop-light .attribute-pill-Cherubim,
     background-color: #9b8ec1;
.theme-fandommobile-light .attribute-pill-Cherubim {
        color: white;
     box-shadow: 0px 0px 3px var(--attribute-Cherubim--text);
}
}


.attribute-pill-Insatiability {
/* Aspect Colors */
    background-color: #5bb8e7;
.attribute-pill-Beauty { background-color: var(--attribute-Beauty); }
        color: white;
.attribute-pill-Change { background-color: var(--attribute-Change); }
}
.attribute-pill-Competition { background: var(--attribute-Competition); }
.attribute-pill-Dark { background-color: var(--attribute-Dark); }
.attribute-pill-Hate { background-color: var(--attribute-Hate); }
.attribute-pill-Insatiability { background-color: var(--attribute-Insatiability); }
.attribute-pill-Light { background-color: var(--attribute-Light); }
.attribute-pill-Love { background-color: var(--attribute-Love); }
.attribute-pill-Memory { background-color: var(--attribute-Memory); }
.attribute-pill-Peace { background-color: var(--attribute-Peace); }
.attribute-pill-Pride { background-color: var(--attribute-Pride); }
.attribute-pill-Regret { background-color: var(--attribute-Regret); }
.attribute-pill-Right { background-color: var(--attribute-Right); }
.attribute-pill-Satiation { background-color: var(--attribute-Satiation); }
.attribute-pill-War { background-color: var(--attribute-War); }
.attribute-pill-Weakness { background-color: var(--attribute-Weakness); }


.attribute-pill-Light {
/* Trait Colors */
    background-color: #efbf3c;
.attribute-pill-Blaster { background-color: var(--attribute-Blaster); }
        color: white;
.attribute-pill-Cherubim { background-color: var(--attribute-Cherubim); }
}
.attribute-pill-Cherubim a { color: var(--attribute-Cherubim--text) !important; }
 
.attribute-pill-Explorer { background-color: var(--attribute-Explorer); }
.attribute-pill-Love {
.attribute-pill-Gladiator { background-color: var(--attribute-Gladiator); }
    background-color: #eda1b6;
.attribute-pill-Hothead { background-color: var(--attribute-Hothead); }
        color: white;
.attribute-pill-Mascot { background-color: var(--attribute-Mascot); }
}
.attribute-pill-Mastermind { background-color: var(--attribute-Mastermind); }
 
.attribute-pill-Protector { background-color: var(--attribute-Protector); }
.attribute-pill-Memory {
.attribute-pill-Striker { background-color: var(--attribute-Striker); }
    background-color: #95c2e7;
        color: white;
}
 
.attribute-pill-Peace {
    background-color: #deceb0;
        color: white;
}
 
.attribute-pill-Pride {
    background-color: #8879bc;
        color: white;
}
 
.attribute-pill-Regret {
    background-color: #775378;
        color: white;
}
 
.attribute-pill-Right {
    background-color: #5bb8e7;
        color: white;
}
 
.attribute-pill-Satiation {
    background-color: #f5a77d;
        color: white;
}
 
.attribute-pill-War {
    background-color: #964545;
        color: white;
}
 
.attribute-pill-Weakness {
    background-color: #b6d0e7;
        color: white;
}
/* Trait Colors */
.attribute-pill-Blaster {
    background-color: #9c749d;
        color: white;
}
 
.attribute-pill-Cherubim {
    background-color: #ffffff;
        color: #bca57a;
}
 
.attribute-pill-Explorer {
    background-color: #9fc47b;
        color: white;
}
 
.attribute-pill-Gladiator {
    background-color: #bba479;
        color: white;
}
 
.attribute-pill-Hothead {
    background-color: #e36566;
        color: white;
}
 
.attribute-pill-Mascot {
    background-color: #f6b560;
        color: white;
}
 
.attribute-pill-Mastermind {
    background-color: #71b7af;
        color: white;
}
 
.attribute-pill-Protector {
    background-color: #d2a3ba;
        color: white;
}
 
.attribute-pill-Striker {
    background-color: #fa9269;
        color: white;
}


.attribute-area-icon {
.attribute-area-icon {